// 根据角色动态生成路由
import { defineFakeRoute } from "vite-plugin-fake-server/client";

export default defineFakeRoute([
  {
    url: "/kernels",
    method: "get",
    response: ({ query }) => {
      console.log("query", query);
      return {
        success: true,
        data: [
          {
            // 内核版本
            version: "6.0.0",
            // 是否经过ubuntu amd64测试
            tested: true,
            // 是否是tls版本
            lts: false,
            // 提交时间
            commitTime: "2021-01-01 00:00:00"
          },
          {
            // 内核版本
            version: "6.0.2",
            // 是否经过ubuntu amd64测试
            tested: true,
            // 是否是tls版本
            lts: true,
            // 提交时间
            commitTime: "2022-02-01 00:00:00"
          },
          {
            // 内核版本
            version: "6.8.5",
            // 是否经过ubuntu amd64测试
            tested: true,
            // 是否是tls版本
            lts: true,
            // 提交时间
            commitTime: "2021-01-01 00:02:00"
          },
          {
            // 内核版本
            version: "6.9.3",
            // 是否经过ubuntu amd64测试
            tested: true,
            // 是否是tls版本
            lts: false,
            // 提交时间
            commitTime: "2021-01-01 00:02:00"
          }
        ]
      };
    }
  },
  {
    url: "/hosts",
    method: "get",
    statusCode: 403,
    response: ({ query }) => {
      console.log("query", query);
      // abort 403

      return {
        success: false,
        data: []
      };
      return {
        success: true,
        data: [
          {
            // 主机名
            hostname: "kernel-test",
            // 内核版本
            version: "6.0.0",
            // series 系列
            series: "noble",
            // IP 地址
            ip: "192.168.1.1",
            // arch 架构
            arch: "amd64",
            // agent 运行状态
            agentStatus: "running",
            // 最后更新时间
            lastUpdateTime: "2021-01-01 00:00:00"
          },
          {
            // 主机名
            hostname: "kserver-test",
            // 内核版本
            version: "5.2",
            // series 系列
            series: "noble",
            // IP 地址
            ip: "192.168.1.2",
            // arch 架构
            arch: "amd64",
            // agent 运行状态
            agentStatus: "stoped",
            // 最后更新时间
            lastUpdateTime: "2022-01-01 00:00:00"
          }
        ]
      };
    }
  }
]);
