package model

import (
	"time"
)

// Status enum
type StatusEnum int

const (
	Status_UP = iota
	Status_DOWN
	Status_UPGRADE
)

type Host struct {
	Status   StatusEnum `json:"agentStatus"`
	Hostname string     `json:"hostname"`
	// 主键
	Ip              string    `json:"ip" gorm:"primaryKey;autoIncrement:false;unique;type:varchar(255)"`
	Series          string    `json:"series"`
	Arch            string    `json:"arch"`
	KernelVersion   string    `json:"version"`
	LastUpdateTime  time.Time `json:"lastUpdateTime"`
	Tasks           []Task    `json:"tasks"`
	CandidateKernel string    `json:"candidateKernel"`
}
