package model

import (
	"time"

	"gorm.io/gorm"
)

type User struct {
	Avatar   string `json:"column:avatar"`
	Username string `json:"username" gorm:"column:username;primaryKey:true;autoIncrement:false"`
	Nickname string `json:"nickname"`
	Password string `json:"password"`
	// 一对多Role关系
	Roles        []Role    `json:"-" gorm:"many2many:user_roles"`
	RoleNames    []string  `json:"roles" gorm:"-"`
	AccessToken  string    `json:"accessToken" `
	RefreshToken string    `json:"refreshToken" `
	ExpiresAt    time.Time `json:"expires"`
}

func (e *User) AfterFind(_ *gorm.DB) error {
	e.RoleNames = make([]string, len(e.Roles))
	for i, role := range e.Roles {
		e.RoleNames[i] = role.Name
	}
	return nil
}
