package api

import (
	"myproject/model"
	"myproject/util"
	"regexp"

	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
)

type TaskListResult struct {
	Success bool         `json:"success"`
	Data    []model.Task `json:"data"`
}

func GetTaskList(c *gin.Context) {
	var users []model.Task
	util.DB.Preload("Host").Find(&users)
	c.JSON(200, TaskListResult{Success: true, Data: users})
}

func NewTask(c *gin.Context) {
	var task model.Task
	if err := c.BindJSON(&task); err != nil {
		logrus.Error(err)
	}
	r := regexp.MustCompile(`^\d+(\.\d+)*$`)
	if !r.MatchString(task.Args) {
		c.JSON(400, gin.H{"error": "host is not a number"})
		return
	}
	// 保存到数据库
	util.DB.Create(&task)
	c.JSON(201, gin.H{"success": true})
}
