import { http } from "@/utils/http";

export type Host = {
  hostname: string;
  version: string;
  series: string;
  ip: string;
  arch: string;
  agentStatus: string;
  // 最后更新时间
  lastUpdateTime: Date;
};

export type Kernel = {
  version: string;
  tested: boolean;
  lts: boolean;
  commitTime: Date;
};

export type HostResult = {
  success: boolean;
  data: Array<Host>;
};

export type KernelResult = {
  success: boolean;
  data: Array<Kernel>;
};

export const getHosts = () => {
  return http.request<HostResult>("get", "/hosts");
};

export const getKernels = () => {
  return http.request<KernelResult>("get", "/kernels");
};
