import { defineStore } from "pinia";
import { store } from "../utils";
import { type HostResult, getHosts } from "@/api/kernel";

export const useKernelStore = defineStore({
  id: "pure-kernel",
  state: (): any => {},
  actions: {
    /** 获得主机列表 */
    async Hosts(): Promise<HostResult> {
      return new Promise<HostResult>((resolve, reject) => {
        getHosts()
          .then(data => {
            resolve(data);
          })
          .catch(error => {
            reject(error);
          });
      });
    }
  }
});

export function useKernelStoreHook() {
  return useKernelStore(store);
}
